/// #pkgName FGUI包名
/// #prefabName ui预制名字
/// #viewName uiview名字
/// #UIName ui的名字，prefabName首字母转大写
/// 该脚本由模板创建，不可修改
/// created by chenwb 2024

import { FguiViewModel } from "../../../../frameWork/fgui/mvc/FguiViewModel";

export class HeadTopComVM extends FguiViewModel {

    readonly UserHead: fgui.GComponent;
    readonly Red: fgui.GLabel;
    readonly NameFont: fgui.GTextField;
    readonly ZhanLiFont: fgui.GTextField;
    readonly PbLv: fgui.GProgressBar;
    readonly LevelFont: fgui.GTextField;
    readonly HeadBtn: fgui.GButton;
    readonly ItemGold: fgui.GButton;
    readonly ItemDiamond: fgui.GButton;
    readonly ItemSp: fgui.GProgressBar;

    constructor(panel: fgui.GComponent) {
        super(panel);
        this.UserHead = panel.getChild("UserHead") as fgui.GComponent;
        this.Red = panel.getChild("Red") as fgui.GLabel;
        this.NameFont = panel.getChild("NameFont") as fgui.GTextField;
        this.ZhanLiFont = panel.getChild("ZhanLiFont") as fgui.GTextField;
        this.PbLv = panel.getChild("PbLv") as fgui.GProgressBar;
        this.LevelFont = panel.getChild("LevelFont") as fgui.GTextField;
        this.HeadBtn = panel.getChild("HeadBtn") as fgui.GButton;
        this.ItemGold = panel.getChild("ItemGold") as fgui.GButton;
        this.ItemDiamond = panel.getChild("ItemDiamond") as fgui.GButton;
        this.ItemSp = panel.getChild("ItemSp") as fgui.GProgressBar;

    }
}